PutSuppressedDestination method
Adds an address to the custom suppression list. The cloud is determined based on the service account the request originates from.
Request
PUT /v2/email/suppression/addresses HTTP/2
Request headers
Use common request headers in your requests.
Request body
{
"EmailAddress": "user@example.com",
"Reason": "BOUNCE|COMPLAINT"
}
|
Parameter |
Description |
|
|
Type: String. The recipient's address to add to the suppression list. |
|
|
Type: String. This is a required setting. Reason to add the address to the suppression list: |
If the address is already on the suppression list, a new entry is not created: the reason and time of the change are updated for the current entry, and the creation time is preserved.
Responses
200 OK
A successful request returns 200 OK in the response.
Errors
For all errors, the response body has the same format:
{
"Code": "<error_name>",
"message": "<error_description>"
}
The name of the error is taken from its code, e.g., BadRequestException.
The possible errors include:
|
Error code |
Description |
|
|
The request contains an empty or invalid address, or the reason is not specified or is not equal to |
|
|
Not enough permissions to execute the request. |
|
|
The request quota was exceeded. |